diff --git a/patches/mpv b/patches/mpv
new file mode 100755
index 0000000000000000000000000000000000000000..9ebf70f9f8e706edcce2a97d5c54304c8ff7cd8f
--- /dev/null
+++ b/patches/mpv
@@ -0,0 +1,42 @@
+#!/bin/sh
+set -e
+# https://github.com/mpv-player/mpv/issues/11073
+# https://bugs.debian.org/1027455
+patch -p1 << 'EOF'
+diff -Nru mpv-0.35.0/debian/patches/0001-Fix-for-IMX8MQ.patch mpv-0.35.0/debian/patches/0001-Fix-for-IMX8MQ.patch
+--- mpv-0.35.0/debian/patches/0001-Fix-for-IMX8MQ.patch	1970-01-01 01:00:00.000000000 +0100
++++ mpv-0.35.0/debian/patches/0001-Fix-for-IMX8MQ.patch	2022-12-31 22:45:35.000000000 +0100
+@@ -0,0 +1,25 @@
++From 0eacc1ee5df8be13eefb2870704feda43d3a5a64 Mon Sep 17 00:00:00 2001
++From: Johannes Schauer Marin Rodrigues <josch@mister-muffin.de>
++Date: Sat, 31 Dec 2022 22:39:59 +0100
++Subject: [PATCH] Fix for IMX8MQ
++
++---
++ video/out/opengl/ra_gl.c | 2 +-
++ 1 file changed, 1 insertion(+), 1 deletion(-)
++
++diff --git a/video/out/opengl/ra_gl.c b/video/out/opengl/ra_gl.c
++index 8eddb5fabc..bc26f5e7cf 100644
++--- a/video/out/opengl/ra_gl.c
+++++ b/video/out/opengl/ra_gl.c
++@@ -590,7 +590,7 @@ static struct ra_buf *gl_buf_create(struct ra *ra,
++ {
++     GL *gl = ra_gl_get(ra);
++ 
++-    if (params->host_mapped && !gl->BufferStorage)
+++    if (params->host_mapped && gl->version < 440)
++         return NULL;
++ 
++     struct ra_buf *buf = talloc_zero(NULL, struct ra_buf);
++-- 
++2.39.0
++
+diff -Nru mpv-0.35.0/debian/patches/series mpv-0.35.0/debian/patches/series
+--- mpv-0.35.0/debian/patches/series	2022-11-12 20:30:38.000000000 +0100
++++ mpv-0.35.0/debian/patches/series	2022-12-31 22:45:35.000000000 +0100
+@@ -1,2 +1,3 @@
+ 0001-Add-keywords-to-desktop-file.patch
+ 0002-io-stdin-used.patch
++0001-Fix-for-IMX8MQ.patch
+EOF